HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostCustomersCustomerBankAccounts

Contains the different functions to run the operation postCustomersCustomerBankAccounts

  • 9 types
  • 4 values
  • Packagestripeapi-3.0.0.0
  • Exports13
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostCustomersCustomerBankAccounts.hs
valuepostCustomersCustomerBankAccounts
  1. :: MonadHTTP m
  2. => Text

    customer | Constraints: Maximum length of 5000

  3. -> Maybe PostCustomersCustomerBankAccountsRequestBody

    The request body to send

  4. -> ClientT m (Response PostCustomersCustomerBankAccountsResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/customers/{customer}/bank_accounts

<p>When you create a new credit card, you must specify a customer or recipient on which to create it.</p>

<p>If the card’s owner has no default card, then the new card will become the default. However, if the owner already has a default, then it will not change. To change the default, you should <a href="/docs/api#update_customer">update the customer</a> to have a new <code>default_source</code>.</p>

Defines the object schema located at paths./v1/customers/{customer}/bank_accounts.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/customers/{customer}/bank_accounts.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.bank_account.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/customers/{customer}/bank_accounts.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.bank_account.anyOf.properties.account_holder_type in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/customers/{customer}/bank_accounts.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.bank_account.anyOf.properties.object in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/customers/{customer}/bank_accounts.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.bank_account.anyOf in the specification.

Either a token, like the ones returned by Stripe.js, or a dictionary containing a user's bank account details.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/customers/{customer}/bank_accounts.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.card.anyOf in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/customers/{customer}/bank_accounts.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.card.anyOf.properties.object in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/customers/{customer}/bank_accounts.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.card.anyOf in the specification.

A token, like the ones returned by Stripe.js.

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postCustomersCustomerBankAccounts.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostCustomersCustomerBankAccountsResponseError is used.

Instances2Eq, Show